@import url('https://fonts.googleapis.com/css2?family=Fugaz+One&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

/* Custom CSS Variables */
:root {
    --bs-font-size-base: 14px;
    --bs-font: 'Open Sans', sans-serif;
    --transition-duration: 0.3s;
    --brand-primary: #00A458;
    --brand-primary-dark: #008a4a;
    --brand-primary-light: #1ab968;
    --title-font: 'Fugaz One', cursive;
    --text-footer: 'white';
}

#header {
    background-color:#272727;
}

h1, .h1 {
    font-family: var(--title-font);
    color: var(--brand-primary);
    font-weight: 400;
    letter-spacing: -0.01em;
    font-size: 50px;
    text-align: center;
}

h2, .h2 {
    font-family: var(--title-font);
    color: var(--brand-primary);
    font-weight: 400;
    letter-spacing: -0.01em;
}

h3, .h3 {
    font-family: var(--title-font);
    color: var(--brand-primary);
    font-weight: 400;
    letter-spacing: -0.01em;
}

h4, .h4 {
    font-family: var(--title-font);
    color: var(--brand-primary);
    font-weight: 400;
    letter-spacing: -0.01em;
}

h5, .h5 {
    font-family: var(--title-font);
    color: var(--brand-primary);
    font-weight: 400;
    letter-spacing: -0.01em;
}

h6, .h6 {
    font-family: var(--title-font);
    color: var(--brand-primary);
    font-weight: 400;
    letter-spacing: -0.01em;
}

a{
    color: var(--brand-primary);
}

a:hover{
    color: var(--brand-primary);
   font-weight: 800;
}


.card {
    transition: all var(--transition-duration) ease;
}

.card:hover {
    transform: translateY(-2px);
}

.hover-shadow-lg:hover {
    box-shadow: 0 1rem 3rem rgba(0, 0, 0, 0.175) !important;
    transition: box-shadow var(--transition-duration) ease;
}

.btn-outline-brand-primary {
    border-color: var(--brand-primary);
    color: var(--brand-primary);
}

.btn-outline-brand-primary:hover {
    background-color: var(--brand-primary);
    border-color: var(--brand-primary);
    color: white;
}

.card-img-top {
    aspect-ratio: 16 / 9;
    transition: transform 0.3s;
    padding: 0px;
}

.hover-scale:hover {
    transform: scale(1.05);
}

.image-container {
    overflow: hidden;
}
.h-100 {
    height: 100% !important;
}
.w-100 {
    width: 100% !important;
}
.object-fit-cover {
    -o-object-fit: cover!important;
    object-fit: cover !important;
}

.card-title {
    min-height: 50px;
}

.card-body {
    padding: 0px;
}

.card-text {
    padding: 15px;
    min-height: 310px;
}



.reading-time, .text-bg-success{
    background-color: var(--brand-primary) !important;
    color: white !important;
}

.titoli p{
    text-align: center;
    font-family: var(--bs-font);
    font-size: 20px;
}

.social_header {
    text-align: center;
}

.btn-brand-primary {
    background-color: var(--brand-primary);
    border-color: var(--brand-primary);
    color: white;
}



.navbar-nav .nav-link.active, .navbar-nav .show>.nav-link {
    color: #00A458;
}

.nav-item a {
    color:white;
    transition: 0.3s;
}
.nav li a {
    color:white;
    transition: 0.3s;
    font-weight: 100;
}

.nav-item a:hover {
    color:#00A458;
}


.nav li a:hover {
    color:#00A458;
}

.img-articolo img {
    margin-top: 30px;
    aspect-ratio: 16 / 9;
    object-fit: cover;
}
.text-brand-link {
    color: var(--brand-primary);
    text-align: left;
    margin-top: 30px;
}

.menu_lingue a{
    margin-right: 30%;
}

/* MEDIA QUERIES */
@media (min-device-width: 240px) and (max-device-width: 767px) {
   h1 {
       font-size: 40px;
   }
    .social_header {
        margin-top: 0%;
    }
}